Bug 154686 - Resize with mouse by dragging title bar
Summary: Resize with mouse by dragging title bar
Status: RESOLVED FIXED
Alias: None
Product: yakuake
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR wishlist with 50 votes (vote)
Target Milestone: ---
Assignee: Eike Hein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-27 17:33 UTC by Ray
Modified: 2020-03-10 16:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 20.04.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ray 2007-12-27 17:33:29 UTC
Version:            (using KDE KDE 3.5.7)
Installed from:    Fedora RPMs

I think it would be nice to be able to quickly change Yakuake's height with the mouse by dragging Yakuake's title bar.  Using the menu is often tedious and allows resizing in only 10% steps.

Thanks for a great app!
Comment 1 Andrew Hou 2020-03-01 06:35:07 UTC
Patch in progress/review at D22227
Comment 2 Nate Graham 2020-03-10 16:08:45 UTC
Git commit f4fbc98bdf5306699bbdf6fcdc69c4d6cfcf0627 by Nate Graham, on behalf of Ryan McCoskrie.
Committed on 10/03/2020 at 16:08.
Pushed by ngraham into branch 'master'.

Add support for resizing by dragging the title bar

Summary:
This is for the benefit of users who find changing the window height
through the configuration window overly tedious.

This may cause slight flickering during resizing.
FIXED-IN: 20.04.0

Test Plan:
Run patched Yakuake.
Drag Titlebar up and down the screen.

Yakuake should automatically update its height configuration while being dragged.

Reviewers: #yakuake, hein, mweepigeon, ngraham

Reviewed By: mweepigeon, ngraham

Subscribers: mweepigeon, ngraham

Tags: #yakuake

Differential Revision: https://phabricator.kde.org/D22227

M  +1    -0    app/mainwindow.cpp
M  +2    -0    app/mainwindow.h
M  +29   -0    app/titlebar.cpp
M  +3    -0    app/titlebar.h

https://commits.kde.org/yakuake/f4fbc98bdf5306699bbdf6fcdc69c4d6cfcf0627